#include <gdal/gdal.h>
#include "gdal/gdal_priv.h"
#include <iostream>

#include <stdfloat>

/**
    @brief stores the contents of a tif file with float32 values
 */
class HeightMap
{
    public:
        float* data;
        int x_size; //!< x dimension in pixels
        int y_size; //!< y dimension in pixels

        HeightMap(const char* filepath);
        float get_pixel(int x,int y);
};