## Group: Trygve and Esther
# What problem will you be working on in your programming project? 
We will be implementing a marching squares algorithm to produce a contour map from a heightmap image file.

# Responsibilities:
Esther will create the algorithm itself with multitreading. This will essentially be a function that takes a grid of pixels as input and returns a similar grid of cells.
Trygve will take care of reading in the tiff file into our own datastructure and creating a vector image from the output of the algorithm.

# How do you plan to make it easily verifiable that your objectives are reached?
We can compare against the `gdal_contour` cli program which is a implementation widely used in other software. We can compare speed, memory usage and the result itself.
Each step in our program also produces a output which we can be worked on and evaluated independently.

# ER diagram:
![](ER_diagram.svg)